Skip to main content
GET
Get SMS log by ID

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

sms_log_id
string
required

Response

Successful Response

phoneProvider
enum<string>
required

SMS provider (twilio/vonage)

Available options:
twilio,
telnyx,
vonage
teamId
string | null

ID of the team that owns this record

Example:

"5eb7cf5a86d9755df3a6c593"

createdBy
string | null

ID of the user who created this record

Example:

"5eb7cf5a86d9755df3a6c593"

updatedBy
string | null

ID of the user who last updated this record

Example:

"5eb7cf5a86d9755df3a6c593"

createdAt
string<date-time>
updatedAt
string<date-time>
_id
string | null

MongoDB document ObjectID

Example:

"5eb7cf5a86d9755df3a6c593"

phoneNumberId
string | null

Phone number config ID

Example:

"5eb7cf5a86d9755df3a6c593"

assistantNumber
string | null

Assistant's phone number

userNumber
string | null

User's phone number

direction
enum<string> | null

inbound or outbound

Available options:
inbound,
outbound
messageContent
string | null

Encrypted message text

status
enum<string> | null

Delivery status

Available options:
pending,
received,
delivered,
failed
errorCode
enum<string> | null

Structured error code if failed

Available options:
validation_error,
phone_number_not_found,
credentials_error,
credentials_not_found,
send_failed,
rate_limit_error,
upstream_error,
encryption_error,
server_error,
phone_provider_not_supported
errorMessage
string | null

Human-readable error message

response
SMSResponse · object | null

Raw provider response

meta
SMSMeta · object

Associated IDs metadata

cost
SMSCost · object

Cost breakdown

notes
string | null

Additional notes or context